carousel(6)

NAME
carousel - displays multiple images rotating in a circular formation

SYNOPSIS
carousel [-display host:display.screen] [-visual visual] [-window] [-root] [-count int] [-zoom | -no-zoom] [-tilt XY] [-titles | -no-titles] [-font font] [-speed ratio] [-duration seconds] [-fps] [-debug] [-wireframe]

DESCRIPTION
Loads several random images, and displays them flying in a circular formation. The circle changes speed and direction randomly, tilts on its axis, and the images move in and out. This program requires a good video card capable of supporting large textures. To specify the directory that images are loaded from, run xscreensaver-settings(1) and click on the "Advanced" tab.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count int
    How many images to display. Default 7.

-zoom | -no-zoom
    Whether the images should move in and out (toward and away from the axis of rotation). Default true.

-tilt XY | -no-tilt
    Whether the axis of rotation should tilt, and how. -tilt X means that it will tilt toward and away from the viewer. -tilt Y means that it will tilt to the left and right of the screen. -tilt XY (the default) means it will do both.

-titles | -no-titles
    Whether to display the file names of the images beneath them. Default: yes.

-font font-name
    The font to use for titles. Note that the size of the font affects the clarity of the characters, not their size (it is auto-scaled.)

-duration seconds
    Every duration seconds, one of the images will be replaced with a new one. Default 20 seconds.

-speed ratio
    Speed up or slow down the animation. 0.5 means half as fast as the default; 2.0 means twice as fast.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-fps
    Display the current frame rate, CPU load, and polygon count.

-debug
    Prints debugging info to stderr.

-wireframe
    Another debug mode.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver-settings(1) xscreensaver-getimage(6) xscreensaver(1) glslideshow(6) photopile(6)

COPYRIGHT
Copyright © 2005 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.